Post by hrisi87 » Sun Oct 15, 2017 5:54 pm

Hi all,

After I install Smart Checkout module on my opencart 1.5.6.4 version, I have this error message "VM6429 jquery-1.10.2.js:8672 [Deprecation] Synchronous XMLHttpRequest on the main thread is deprecated because of its detrimental effects to the end user's experience. For more help, check https://xhr.spec.whatwg.org/." In this version of jquery on line 8672 is "else { xhr.open( s.type, s.url, s.async ); }" I don't know how to fix it. Is anybody have an idea? Because of that error I can not completed product order.
I'm attached to images with the error and jquery code
http://prntscr.com/gxmisl
http://prntscr.com/gxmj4x

Thank you in advance

Newbie

Posts

Joined
Fri Jun 16, 2017 5:42 pm

Post by yodapt » Mon Oct 16, 2017 4:47 am

Show the url. That error is most likely due to async being set to false.

Opencart Developer - My Extension Showcase
Contact me at aeon.yoda@gmail.com


User avatar
Active Member

Posts

Joined
Fri Jun 17, 2011 6:39 pm


Post by hrisi87 » Mon Oct 16, 2017 8:41 am

yodapt wrote:
Mon Oct 16, 2017 4:47 am
Show the url. That error is most likely due to async being set to false.
At the moment is only in my local version. I'm using Xampp.

Newbie

Posts

Joined
Fri Jun 16, 2017 5:42 pm

Post by yodapt » Tue Oct 17, 2017 1:15 am

Somehere in a javascript block you will find this :

Code: Select all

async: false,
change it to true

Opencart Developer - My Extension Showcase
Contact me at aeon.yoda@gmail.com


User avatar
Active Member

Posts

Joined
Fri Jun 17, 2011 6:39 pm

Who is online

Users browsing this forum: No registered users and 4 guests